///////////////////////////////////////////////////////////////////////////////////////
// PDriver_fncCMD.h
//-------------------------------------------------------------------------------------

///////////////////////////////////////////////////////////////////////////////////////
// DEFINICE PRIKAZU FUNKCI
#define CMD_END_THREAD					0xFFFFFF00				/* ukonceni funkce vlakna */

#define CMD_FILES_SETPANELS_LOAD		0x00000100				/* nacteni nastaveni - druhe pouziti bez funkce */
#define CMD_FILES_SETPANELS_RELOAD		0x00000200				/* opetovne nacteni nastaveni */
#define CMD_FILES_SETPANELS_SAVE		0x00000400				/* ulozeni nastaveni */
#define CMD_FILES_SET_LANGUAGE			0x00000800				/* nastaveni jazyka - string chyb */
#define CMD_FILES_SET_PATHGP2			0x00001000

#define CMD_CONNECT_COM_SET				0x01000100				/* nastaveni COM portu */
#define CMD_CONNECT_COM_GET				0x01000200				/* vraci pouyite porty */
#define CMD_CONNECT_COM_DONE			0x01000400				/* uvolneni COM portu */
#define CMD_CONNECT_IP_CONNECT			0x01000800				/* pokud je nastavena IP adresa provede spojeni */
#define CMD_CONNECT_IP_DISCONNECT		0x01001000				/* zavreni IP pokud je aktivni */
#define CMD_CONNECT_IP_RECONECT			0x01001800				/* ukonci IP spojeni a provede nove spojeni */
#define CMD_CONNECT_GSM_CONNECT			0x01002000				/* vytoceni cisla GSM modemu */
#define CMD_CONNECT_GSM_DISCONNECT		0x01004000				/* zaveseni GSM modemu */
#define CMD_CONNECT_GSM_STATE			0x01008000				/* vraci stav GSM modemu */
#define CMD_CONNECT_GSM_GET_MODEM		0x01010000				/* nacteni stavu z modemu */
#define CMD_CONNECT_GSM_GETCOUNTACTIVE	0x01020000				/* vraci ERR_CONNECT pokud je nekteryp anel pripojen a GSM */

#define CMD_CONTROL_VERFIRM_ID			0x02000100
#define CMD_CONTROL_VERFIRM_ST			0x02000200
#define CMD_CONTROL_GET_BRIGHTNESS		0x02000400
#define CMD_CONTROL_SET_BRIGHTNESS		0x02000800
#define CMD_CONTROL_GET_RTC				0x02001000
#define CMD_CONTROL_SET_RTC				0x02002000
#define CMD_CONTROL_GET_TIMER			0x02004000
#define CMD_CONTROL_SET_TIMER			0x02008000
#define CMD_CONTROL_RESET				0x02010000
#define CMD_CONTROL_GET_ANALOG			0x02020000
#define CMD_CONTROL_SET_ANALOG			0x02040000
#define CMD_CONTROL_SEND_PSW			0x02080000
#define CMD_CONTROL_INFO_PSW			0x02100000
#define CMD_CONTROL_GET_RELEVANCE		0x02220000
#define CMD_CONTROL_SET_RELEVANCE		0x02240000
#define CMD_CONTROL_SET_RTC_LOCAL_TIME	0x02802000
#define CMD_CONTROL_AT					0x02400100				/* odeslani AT COMAND - nastaveni WIFI */
#define CMD_CONTROL_PARAEL			    0x02200100


#define CMD_ARRDATA_PANEL_INSERT		0x03000100
#define CMD_ARRDATA_PANEL_ADD			0x03000200
#define CMD_ARRDATA_PANEL_REMOVE		0x03000400
#define CMD_ARRDATA_PANEL_RAMOVE_ALL	0x03000800
#define CMD_ARRDATA_PANEL_COUNT			0x03001000
#define CMD_ARRDATA_SEARCH_NAME			0x03002000
#define CMD_ARRDATA_DEFAULT_FONT		0x03004000
#define CMD_ARRDATA_GET_PANELNAME		0x03008000

#define CMD_STRINGS_COMMAND				0x04000100
#define CMD_STRINGS_VERSION				0x04000200
#define CMD_STRINGS_ERR					0x04000400
#define CMD_STRINGS_WR_FILENAME			0x04000800
#define CMD_STRINGS_WR_FILENAME_SIZE	0x04001000
#define CMD_STRINGS_GET_PROGRAM			0x04004000
#define CMD_STRINGS_DIR_FILENAME		0x04008000
#define CMD_STRINGS_GSM_GETMODEM		0x01100000				/* model - revision - operator */
#define CMD_STRINGS_GSM_INFO			0x04002000
#define CMD_STRINGS_FLASH_FILENAME		0x04010000

#define CMD_FILESYSTEM_FORMAT			0x05000100
#define CMD_FILESYSTEM_SCAN				0x05000200
#define CMD_FILESYSTEM_START_LS			0x05000400
#define CMD_FILESYSTEM_GET_LS			0x05000800

//#define CMD_FILECONTROL_FNAME			0x06000100
#define CMD_FILECONTROL_SET_INIP		0x06000200
#define CMD_FILECONTROL_GET_INIP		0x06000400
#define CMD_FILECONTROL_CONTROLP		0x06000800

#define CMD_FILE_READ_DIRECTORY			0x07001000
#define CMD_FILE_READ_FILE				0x07002000
#define CMD_FILE_WRITE_FILE				0x07008000
#define CMD_FILE_DELETE_FILE			0x07010000
#define CMD_FILE_WRITE_FILE_RAM			0x07020000
#define CMD_FILE_DELET_FILE_FLASH		0x07040000

#define CMD_TRANSLATOR_ALL				0x08000100
#define CMD_TRANSLATOR_ALLVER			0x08000200
#define CMD_TRANSLATOR_TEXT_TO_PRG		0x08000400

#define CMD_FONT_READ_HEADER			0x09000100
#define CMD_FONT_WRITE_HEADER			0x09000200
#define CMD_FONT_READ					0x09000400
#define CMD_FONT_WRITE					0x09000800
#define CMD_FONT_GET_HEADER				0x09001000
#define CMD_FONT_GET					0x09002000

#define CMD_STATIC_GETLINE				0x0A000100
#define CMD_STATIC_SETLINE				0x0A000200
#define CMD_STATIC_GETTIME				0x0A000400
#define CMD_STATIC_SETTIME				0x0A000800

#define CMD_VARIABLE_GET_ENABLE			0x0B000100
#define CMD_VARIABLE_GETTYPE			0x0B000200
#define CMD_VARIABLE_GET				0x0B000400
#define CMD_VARIABLE_SET				0x0B000800

#define CMD_PANELMSG_SEND				0x0F000100
#define CMD_VARIEABLE_ENABLE			0x0F001000

///////////////////////////////////////////////////////////////////////////////////////
// PRIKAZY NASTAVENI JASU
#define CTR_BRIGHTNESS_CHANGE			0x00020001			/* zmna intenzity svitu panelu */
#define CTR_BRIGHTNESS_SET				0x00020000			/* zapis nastaven jasu */
#define CTR_BRIGHTNESS_SET_DARK			0x00040002			/* zapis nastaven stmvn */
#define CTR_BRIGHTNESS_GET				0x00010000			/* naten nastaven stmvn */
#define CTR_BRIGHTNESS_GET_DARK			0x00000002			/* naten nastaven stmvn */
#define CTR_BRIGHTNESS_ALL				0x10000000			/* nastaven vech panel */

///////////////////////////////////////////////////////////////////////////////////////
// PRIKAZY RIZENI FUNKCI SOUBORU
#define CONTROL_GETSTATE				0				/* prazdnz prikaz */
#define CONTROL_FILE_CANCEL				1				/* srusit zapis */
#define CONTROL_FILE_SKIP				2				/* preskocit existujici soubor */
#define CONTROL_FILE_SKIP_ALL			3				/* preskocit vsechny exitujici soubory */
#define CONTROL_FILE_OVERWRITE			4				/* prepsat existujici soubor */
#define CONTROL_FILE_OVERWRITE_ALL		5				/* prepsat vsechny soubory */
#define CONTROL_FILE_EXIST				6				/* nastaveno pri zapisu pokud soubor existuje */
#define CONTROL_NULL_PROGRESS			7				/* vynulovat pocitadlo prubehu */
#define CONTROL_GET_ERRCODE				8				/* vyzadani cisla posledni chyby */
#define CONTROL_RELOAD_HEADER		    9				/* nacist znova tabulku */
#define CONTROL_PANEL_CHANGE		   10				/* data panelu bzlz zmeneny */
#define CONTROL_FILE_INI			   11				/* zapisovany soubor je ini */
#define CONTROL_FILE_INI_FLASH		   12				/* ulozit soubor do pameti FALSH */
#define CONTROL_FILE_INI_EEPTROM	   13				/* ulozit soubor do EEPROM */
#define CONTROL_TERMINATE			 0xFF				/* ukonceni funkce na pozadi */

///////////////////////////////////////////////////////////////////////////////////////
// STAV PRUBEHU FUNKCE NA POZADI
#define STATUS_NULL					0x000000
#define STATUS_FILE_NEXT			0x010000				
#define STATUS_FILE_EXIST			0x020000			/* soubor existuje */
#define STATUS_END					0x040000			/* ukonceni funkce na pozadi */
#define STATUS_RUNING				0x080000
#define STATUS_PANEL_CHANGE			0x100000			/* jiny panel nemusi souhlasit data */
#define STATUS_FILE_INI				0x200000			/* ukladany soubor je ini - vyber uloziste */

///////////////////////////////////////////////////////////////////////////////////////
// PRIKAZI SPOUSTENI PROGRAMU 
#define DIRECT_F_RUN				0x00000				/* spusteni programu */
#define DIRECT_F_STOP				0x10000				/* zastaveni programu */
#define DIRECT_F_GETRUN				0x20000				/* vraci jmeno spusteneho programu */
#define DIRECT_F_OFFVIEW			0x30000				/* vypnuti zobrazeni pouze panely do verze 9.00 */
#define DIRECT_F_ONVIEW				0x40000				/* zapnuti zobrazovani pouze panely do verze 9.00 */
#define DIRECT_F_INTERUPT			0x50000				/* preruseni programu */
#define DIRECT_F_RUNRAM				0x60000				/* spusteni programu primo v pameti */
#define DIRECT_F_RUN_THREAD			0x70000				/* spusteni sekundarniho programu */
#define DIRECT_F_STOP_THREAD		0x80000				/* zastaveni druheho programu */
#define DIRECT_F_GETRUN_INI			0x90000				/* nacteni jmena spusteneho ini souboru */

//////////////////////////////////////////////////////////////////////////////////////
// command GSM modem  CMD_STRINGS_GSM_GETMODEM
#define GSM_GET_TYPE			0
#define GSM_GET_OPERATOR		1
#define GSM_GET_POWER			2
// gsm modem state
#define GSM_STATE_NO_CONNECT	0x00010000				/* neni spojeni na zadne cislo */
#define GSM_STATE_CONNECT		0x00020000				/* spojeni je aktivni - spravne cislo */
#define GSM_STATE_OTHER_NUMBER	0x00060000				/* spojeni je aktivni - jine cislo */
#define GSM_STATE_NO_ANSWER		0x00100000				/* modem neodpovide - zrejme je odpojen */

//////////////////////////////////////////////////////////////////////////////////////
// MSG KOMUNIKACE S PANELEM
// zapis dat do panelu
#define MSG_WRITE_FL_DATA	0x21		/* zpis do Non-volitale Data Storage */
#define MSG_WRITE_FL_PRG	0x22		/* zpis do pamti programu */
#define MSG_EREASE_BLOCK	0x23		/* smazni bloku flash pamti */
#define MSG_WRITE_EEPROM	0x40		/* zpis do pamti EEprom */
#define MSG_SET_SLINE		0x61		/* nastaven asu pepnni statickho textu */
#define MSG_WRITE_DIRECTP	0x62		/* zpis programu do pracovn pamti panelu */
#define MSG_WRITE_VAR		0x68		/* zapis promenne */
#define MSG_SET_RTC			0x80		/* nastaven hodin realnho asu RTC */
#define MSG_SET_TIMERS		0x81		/* nastaveni asovae */
#define MSG_SET_OVERTIME	0xE2		/* preteni reristru overtime */

// cteni dat z panelu
#define MSG_READ_FL_DATA	0x31		/* teni z Non-volitale Data Storage */
#define MSG_READ_FL_PRG		0x32		/* teni z pamti programu */
#define MSG_READ_EEPROM		0x50		/* teni z pamti EEprom */
#define MSG_GET_SLINE		0x71		/* nateni asu statickho pepnn */
#define MSG_READ_VAR		0x78		/* cteni promenne */
#define MSG_GET_RTC			0x90		/* nastaven realnho asu */
#define MSG_GET_TIMERS		0x91		/* precteni nastaven asovace */
#define MSG_GET_LIGHT		0xD0		/* vraci aktueln jas panelu */
#define MSG_GET_NAME_FONT	0xE1		/* zjitni jmena fontu */
#define MSG_GET_OVERTIME	0xF2		/* naten registru overtime */

// ridici prikazy panelu
#define MSG_SET_CONTROLP	0xA0		/* pkaz zen programu v panelu */
#define MSG_GET_CONTROLP	0xB0		/* vrac islo sputnho programu */
#define MSG_SET_LIGHT		0xC0		/* nastaven intenzity svitu */
#define MSG_GET_VERSION		0xE0		/* verze programu */
#define MSG_GET_IDETNT		0xE3		/* nacteni identifikazniho pole */
#define MSG_SET_PASWORD		0xE5		/* odesln hesla do panelu */
#define MSG_GET_ANALOG		0xE7		/* hodnota analogovch vstupu */
#define MSG_SET_EEPROM		0xF4		/* nastaven velikosti EEPROM */
#define MSG_COUNT_PSW		0xF5		/* vrac poet dn do vypren skuebni doby */
#define MSG_MOD_WR_FLASH	0xF6		/* mod download flash pameti */
#define MSG_SET_ANALOG		0xF7		/* nastaven analogovch vstup */
#define MSG_GET_PARAEL		0xEB		/* cteni stavu portu */
#define MSG_SET_PARAEL		0xFB		/* cteni stavu portu */

#define MSG_SEND_AT_CMD		0xE9		/* nastaeni modemu pomoci AT commande */
#define MSG_END_AT_CMD		0xEA		/* ukonceni AT command modu */

#define MSG_GET_IDETNT		0xE3		/* nacteni identifikazniho pole */
